Bug 484623 - eu-unstrip core dumps running as eu-unstrip -n -e execfilename --core=core.xxxx
eu-unstrip core dumps running as eu-unstrip -n -e execfilename --core=core.xxxx
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: elfutils (Show other bugs)
5.3
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Roland McGrath
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 22:05 EST by James Washer
Modified: 2010-04-21 20:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 20:13:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the (1st) core file created by intentionally killing the dl3 test program (308.00 KB, application/octet-stream)
2009-02-08 22:08 EST, James Washer
no flags Details
This is the core from eu-unstrip dumping (312.00 KB, application/octet-stream)
2009-02-08 22:09 EST, James Washer
no flags Details
This is libauparse.so.0.0.0 that I opened in dl3 as a test (52.72 KB, application/octet-stream)
2009-02-08 22:10 EST, James Washer
no flags Details
dl3 binary which generated the oginial core having been killed (7.50 KB, application/octet-stream)
2009-02-10 16:29 EST, James Washer
no flags Details

  None (edit)
Description James Washer 2009-02-08 22:05:28 EST
Description of problem:
Attempting to execute eu-unstrip

Version-Release number of selected component (if applicable):
elfutils-0.137-3.el5

How reproducible:
compile the attached program dl3, and execute it with the single argument 
/lib64/libauparse.so.0.0.0 ( I just picked this lib at random to dlopen, I suspect others will have same problem)
The program with dlopen the named lib, then pause. 

Next, coredump dl3 (I type ctrl-\)

Finally run eu-unstrip -n -e ./dl3 --core=core.xxxx
and I get 

[washer@p6 dlopen-library]$ eu-unstrip -n -e dl3 --core=core.26032 
eu-unstrip: link_map.c:566: consider_executable: Assertion `m == mod' failed.
Aborted (core dumped)

  



Expected results:
A listing of the dl3 maps


Additional info:
Comment 1 James Washer 2009-02-08 22:08:25 EST
Created attachment 331269 [details]
This is the (1st) core file created by intentionally killing the dl3 test program
Comment 2 James Washer 2009-02-08 22:09:36 EST
Created attachment 331270 [details]
This is the core from eu-unstrip dumping
Comment 3 James Washer 2009-02-08 22:10:19 EST
Created attachment 331271 [details]
This is libauparse.so.0.0.0 that I opened in dl3 as a test
Comment 4 James Washer 2009-02-08 22:11:32 EST
Per rmcgrath's suggestion in the gdb IRC, I dowloaded elfutils 0.139 and found the same behaviour.
Comment 5 James Washer 2009-02-08 22:12:38 EST
Per rmcgrath's suggestion, I downloaded, built, and tried elfutils 0.139. Same results, eu-unstrip core dumps.
Comment 6 Roland McGrath 2009-02-10 16:19:23 EST
You did not attach the dl3 binary.  The binaries required are the ones you passed to eu-unstrip, which are this and the core file.
Comment 7 James Washer 2009-02-10 16:29:35 EST
Created attachment 331474 [details]
dl3 binary which generated the oginial core having been killed
Comment 8 Roland McGrath 2009-04-15 06:16:42 EDT
This is fixed upstream (and in Fedora) as of 0.140.
Comment 9 Roland McGrath 2010-04-21 20:13:30 EDT
We are unlikely to rebase elfutils in RHEL5 or bother to backport obscure fixes like this.  Reopen if you really want a RHEL5 update for this.  There are many fixes in this area upstream and the problems won't be present in RHEL6.

Note You need to log in before you can comment on or make changes to this bug.